{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"Modifies a single application by id. Durable Object-managed application settings are\npublished to runtime metadata without creating deployments or rollouts. Top-level\n`observability` for these applications supports only `logs.enabled`.\nThe supported fields depend on the existing\napplication's scheduling policy. For scheduler-backed applications, changes that\nreplace instance deployment configuration, including the image, require a rollout.\n","properties":{"path":{"type":"object","properties":{"account_id":{"type":"string","examples":["account-123"],"description":"Account identifier."},"application_id":{"$ref":"#/definitions/cc_ApplicationID"}},"required":["account_id","application_id"],"additionalProperties":false},"body":{"$ref":"#/definitions/cc_ContainersModifyApplicationRequestBody"}},"required":["path","body"],"additionalProperties":false,"definitions":{"cc_ApplicationID":{"description":"An Application ID represents an identifier of an application.","type":"string"},"cc_ContainersModifyApplicationRequestBody":{"description":"Request body for modifying a Containers application without replacing its instances.\nDurable Object-managed applications support only top-level observability.logs.enabled.\nThe other fields apply to scheduler-backed applications, where deployment configuration\nchanges such as image, resource allocation, command, and environment variables require\nan application rollout.\n","type":"object","properties":{"configuration":{"$ref":"#/definitions/cc_ContainersModifyApplicationConfiguration"},"constraints":{"$ref":"#/definitions/cc_ApplicationConstraints"},"max_instances":{"description":"Maximum number of instances that an autoscaling application can run.","type":"integer","minimum":0},"observability":{"description":"Top-level application observability settings. Scheduler-backed applications\nhot-reload these settings across existing instances. An existing Durable\nObject-managed application accepts only `logs.enabled` and publishes these settings\nto runtime metadata without creating deployments or rollouts.\n","allOf":[{"$ref":"#/definitions/cc_ApplicationObservability"}]},"rollout_active_grace_period":{"$ref":"#/definitions/cc_ApplicationRolloutActiveGracePeriod"}}},"cc_ContainersModifyApplicationConfiguration":{"description":"Application configuration fields you can change without creating a rollout.","type":"object","properties":{"authorized_keys":{"type":"array","items":{"$ref":"#/definitions/cc_UserSSHPublicKey"}},"wrangler_ssh":{"$ref":"#/definitions/cc_WranglerSSHConfig"}}},"cc_ApplicationConstraints":{"type":"object","properties":{"jurisdiction":{"$ref":"#/definitions/cc_ApplicationJurisdiction"},"regions":{"type":"array","items":{"$ref":"#/definitions/cc_Region"}}}},"cc_ApplicationObservability":{"description":"Settings for application observability such as logging. Supported fields depend\non the application's scheduling policy. Durable Object-managed applications\naccept only `logs.enabled`.\n","type":"object","properties":{"logs":{"$ref":"#/definitions/cc_ObservabilityLogs"}}},"cc_ApplicationRolloutActiveGracePeriod":{"description":"Grace period for active instances to stay alive before becoming eligible for shutdown signal due to a rollout, in seconds.\nDefaults to 0.\n","type":"integer","default":0,"maximum":604800,"minimum":0},"cc_UserSSHPublicKey":{"description":"User-provided SSH public key.","type":"object","properties":{"name":{"description":"Optional human readable name for this key.","type":"string"},"public_key":{"$ref":"#/definitions/cc_SSHPublicKey"}},"required":["public_key"]},"cc_WranglerSSHConfig":{"description":"Configuration properties for connecting with SSH to a container using Wrangler.","type":"object","properties":{"enabled":{"type":"boolean","default":true},"port":{"type":"integer","default":22,"maximum":65535,"minimum":1}}},"cc_ApplicationJurisdiction":{"description":"Restricts placement to datacenters in the selected jurisdiction. Choose \"eu\", \"fedramp\", or \"us\". When combined with regions, EU supports EEUR and WEUR while FedRAMP and US support ENAM and WNAM.","type":"string"},"cc_Region":{"description":"Represents a group of datacenters. Choose one of \"AFR\", \"APAC\", \"EEUR\", \"ENAM\", \"WNAM\", \"ME\", \"OC\", \"SAM\", or \"WEUR\".\n","type":"string","examples":["WNAM"]},"cc_ObservabilityLogs":{"description":"Observability logging settings.","type":"object","properties":{"enabled":{"type":"boolean","default":false}}},"cc_SSHPublicKey":{"description":"An SSH public key.","type":"string"}}},"name":"Modify an application","id":"cloudflare.modifyapplication","example":{"path":{"account_id":"account-123","application_id":"example"},"body":{}},"maxRequests":1,"summary":false}}